zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: 1bf773f831204f9cb67602d3c78ecedc
      template: dependent_items_problem
      name: dependent_items_problem
      groups:
        - name: Templates
      items:
        - uuid: 6654414b56b146c1b9e8f4e14ca1bf57
          name: 'Master - Log'
          type: TRAP
          key: master.log
          delay: '0'
          value_type: TEXT
          trends: '0'
        - uuid: ca1d8440c5b04b4a912be5e166064f37
          name: 'Service: linux (Dep-1)'
          type: DEPENDENT
          key: 'service[linux,dep1]'
          delay: '0'
          value_type: TEXT
          trends: '0'
          preprocessing:
            - type: REGEX
              parameters:
                - 'linux:(\d+)'
                - '{ "linux": "\1"}'
              error_handler: DISCARD_VALUE
          master_item:
            key: master.log
        - uuid: 73111f4376ce47768ec97a0cd015569e
          name: 'Service: linux (Dep-2)'
          type: DEPENDENT
          key: 'service[linux,dep2]'
          delay: '0'
          value_type: FLOAT
          trends: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.linux
              error_handler: CUSTOM_VALUE
              error_handler_params: '-999'
          master_item:
            key: 'service[linux,dep1]'
        - uuid: ceb90c542a914f6090f8f2f129b2e677
          name: 'Service: macos (Dep-1)'
          type: DEPENDENT
          key: 'service[macos,dep1]'
          delay: '0'
          value_type: TEXT
          trends: '0'
          preprocessing:
            - type: REGEX
              parameters:
                - 'macos:(\d+)'
                - '{ "macos": "\1"}'
              error_handler: DISCARD_VALUE
          master_item:
            key: master.log
        - uuid: b1dbfc836ab74250936bef63f08af8fc
          name: 'Service: macos (Dep-2)'
          type: DEPENDENT
          key: 'service[macos,dep2]'
          delay: '0'
          value_type: FLOAT
          trends: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.macos
              error_handler: CUSTOM_VALUE
              error_handler_params: '-999'
          master_item:
            key: 'service[macos,dep1]'
        - uuid: a4ec669c3da745a7a0cb1d9310f69a6a
          name: 'Service: windows (Dep-1)'
          type: DEPENDENT
          key: 'service[windows,dep1]'
          delay: '0'
          value_type: TEXT
          trends: '0'
          preprocessing:
            - type: REGEX
              parameters:
                - 'windows:(\d+)'
                - '{ "windows": "\1"}'
              error_handler: DISCARD_VALUE
          master_item:
            key: master.log
        - uuid: 3aad302bc6c443369c943784a3d3fcd7
          name: 'Service: windows (Dep-2)'
          type: DEPENDENT
          key: 'service[windows,dep2]'
          delay: '0'
          value_type: FLOAT
          trends: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.windows
              error_handler: CUSTOM_VALUE
              error_handler_params: '-999'
          master_item:
            key: 'service[windows,dep1]'
